Skip to main content

Set workflow

PUT 

/workflows/:workflowId

Set a Workflow details; available as an Add-On Module

Request

Path Parameters

    workflowId stringrequired

    Workflow Identifier

Query Parameters

    siteId string

    Site Identifier

    createIfMissing boolean

    When true, skip checking whether the resource exists before setting it

    Default value: false

Body

required

    name stringrequired

    Workflow name

    description string

    Workflow description

    status WorkflowStatus (string)required

    Status of the Workflow

    Possible values: [ACTIVE, INACTIVE]

    steps

    object[]

    required

    Workflow Steps

  • Array [

  • stepId string

    Workflow Step Identifier

    description string

    Workflow Step description

    action

    object

    type DocumentActionType (string)required

    Type of the Document Action

    Possible values: [ANTIVIRUS, DOCUMENTTAGGING, FULLTEXT, MOVE, DELETE, CHECKSUM, NOTIFICATION, OCR, QUEUE, WEBHOOK, IDP, PUBLISH, PDFEXPORT, EVENTBRIDGE, RESIZE, LLMPROMPT, DATA_CLASSIFICATION, MALWARE_SCAN]

    parameters

    object

    ocrTextractQueries

    object[]

  • Array [

  • text string

    Natural-language question

    alias string

    Label to identify this query in the result

    pages string[]

    Page selection

  • ]

  • ocrParseTypes string

    OCR: Parse types - TEXT, FORMS, TABLES, QUERIES (must include ocrTextractQueries)

    ocrEngine OcrEngine (string)

    Type of OCR Engine to use

    Possible values: [TESSERACT, TEXTRACT]

    ocrOutputType OcrOutputType (string)

    OCR Engine output format (textract table only)

    Possible values: [CSV]

    ocrNumberOfPages string

    Number of pages to OCR (from start) (-1 all)

    addPdfDetectedCharactersAsText string

    OCR: For the rewriting of the PDF document, converting any image text to searchable text

    llmPromptEntityName string

    LLMPROMPT, DATA_CLASSIFICATION, METADATA_EXTRACTION: Set the LLM Prompt Entity Name

    modelId string

    LLMPROMPT: Override the LLM Prompt Entity model id

    url string

    Webhook: Callback URL

    characterMax string

    Fulltext: Maximum number of characters (-1 unlimited, Typesense defaults to 2048 characters)

    engine string

    DocumentTagging: Engine to use for document tagging generation

    Possible values: [chatgpt]

    notificationType string

    Notification Type

    Possible values: [email]

    notificationToCc string

    Who to carbon copy on the notification to (comma-delimited list)

    notificationToBcc string

    Who to blind carbon copy on the notification to (comma-delimited list)

    notificationSubject string

    Subject of the notification

    notificationText string

    Text of the notification

    notificationHtml string

    Html of the notification

    tags string

    DocumentTagging: Comma-deliminted list of keywords to generate tags for

    mappingId string

    Id of Mapping

    eventBusName string

    The name or ARN of the event bus to receive the event

    checksumType ChecksumType (string)

    The type of checksum to use for file validation

    Possible values: [SHA1, SHA256, SHA512]

    width string

    The width of the image to resize (or 'auto')

    height string

    The height of the image to resize (or 'auto')

    path string

    MOVE: Destination folder path, must end with '/'; RESIZE: Path to use when creating resized document (optional)

    deleteType DeleteType (string)

    DELETE: Type of delete to perform

    Possible values: [SOFT_DELETE, HARD_DELETE, PURGE]

    outputType string

    The output type of the image

    queueId string

    Id of Queue

    queue

    object

    queueId stringrequired

    Queue Identifier

    approvalGroups string[]

    mappings

    object[]

  • Array [

  • mappingId stringrequired

    Mapping Identifier

  • ]

  • decision

    object

    conditions

    object[]

    Workflow Step Conditions

  • Array [

  • all

    object[]

    Workflow Step Condition Criteria

  • Array [

  • source

    object

    required

    Defines the document-derived source value to evaluate for a workflow condition criterion.

    The source identifies where the value comes from before applying the operator. Supported sources include:

    • a document attribute identified by attributeKey

    • a comparison between a document attribute value and another attribute-derived value

    • the document content type

    • the document path

    oneOf

    Uses a document attribute as the source value for a workflow condition criterion.

    The attribute is selected using attributeKey.

    attributeKey stringrequired

    Document attribute key

    operator WorkflowStepConditionOperator (string)required

    Comparison operator used to evaluate a workflow condition criterion.

    Values:

    • EQ - Equals
    • NEQ - Not equals
    • CONTAINS - Contains substring or matching value
    • NOT_CONTAINS - Does not contain substring or matching value
    • STARTS_WITH - Starts with value
    • ENDS_WITH - Ends with value
    • GT - Greater than
    • GTE - Greater than or equal
    • LT - Less than
    • LTE - Less than or equal
    • EXISTS - Field exists
    • NOT_EXISTS - Field does not exist
    • IN - Matches one of the provided values
    • NOT_IN - Does not match any of the provided values
    • IS_EMPTY - Source value is empty
    • IS_NOT_EMPTY - Source value is not empty

    Possible values: [EQ, NEQ, CONTAINS, NOT_CONTAINS, STARTS_WITH, ENDS_WITH, GT, GTE, LT, LTE, EXISTS, NOT_EXISTS, IN, NOT_IN, IS_EMPTY, IS_NOT_EMPTY]

    stringValue string

    String comparison value

    numberValue number

    Numeric comparison value

    booleanValue boolean

    Boolean comparison value

    stringValues string[]

    String values used for IN or NOT_IN comparisons

  • ]

  • any

    object[]

    Workflow Step Condition Criteria

  • Array [

  • source

    object

    required

    Defines the document-derived source value to evaluate for a workflow condition criterion.

    The source identifies where the value comes from before applying the operator. Supported sources include:

    • a document attribute identified by attributeKey

    • a comparison between a document attribute value and another attribute-derived value

    • the document content type

    • the document path

    oneOf

    Uses a document attribute as the source value for a workflow condition criterion.

    The attribute is selected using attributeKey.

    attributeKey stringrequired

    Document attribute key

    operator WorkflowStepConditionOperator (string)required

    Comparison operator used to evaluate a workflow condition criterion.

    Values:

    • EQ - Equals
    • NEQ - Not equals
    • CONTAINS - Contains substring or matching value
    • NOT_CONTAINS - Does not contain substring or matching value
    • STARTS_WITH - Starts with value
    • ENDS_WITH - Ends with value
    • GT - Greater than
    • GTE - Greater than or equal
    • LT - Less than
    • LTE - Less than or equal
    • EXISTS - Field exists
    • NOT_EXISTS - Field does not exist
    • IN - Matches one of the provided values
    • NOT_IN - Does not match any of the provided values
    • IS_EMPTY - Source value is empty
    • IS_NOT_EMPTY - Source value is not empty

    Possible values: [EQ, NEQ, CONTAINS, NOT_CONTAINS, STARTS_WITH, ENDS_WITH, GT, GTE, LT, LTE, EXISTS, NOT_EXISTS, IN, NOT_IN, IS_EMPTY, IS_NOT_EMPTY]

    stringValue string

    String comparison value

    numberValue number

    Numeric comparison value

    booleanValue boolean

    Boolean comparison value

    stringValues string[]

    String values used for IN or NOT_IN comparisons

  • ]

  • transition

    object

    required

    type WorkflowStepTransitionType (string)required

    Defines the outcome of a workflow step transition.

    A transition determines what happens after a workflow step finishes evaluating its conditions, decisions, or actions.

    Depending on the transition type, the workflow may:

    • Move to another workflow step
    • Complete successfully
    • Be rejected
    • Be cancelled
    • Remain on the current step

    Some transition types require additional properties. For example, when the type is STEP, a target step identifier must be provided in the transition object.

    Possible values: [STEP, RETRY, COMPLETE]

    stepId string

    Target workflow step

  • ]

  • defaultTransition

    object

    type WorkflowStepTransitionType (string)required

    Defines the outcome of a workflow step transition.

    A transition determines what happens after a workflow step finishes evaluating its conditions, decisions, or actions.

    Depending on the transition type, the workflow may:

    • Move to another workflow step
    • Complete successfully
    • Be rejected
    • Be cancelled
    • Remain on the current step

    Some transition types require additional properties. For example, when the type is STEP, a target step identifier must be provided in the transition object.

    Possible values: [STEP, RETRY, COMPLETE]

    stepId string

    Target workflow step

    decisions

    object[]

    deprecated

    Deprecated; use 'decision' instead

  • Array [

  • type WorkflowStepDecisionType (string)required

    Type of Workflow Step Decision

    Possible values: [APPROVE, REJECT]

    nextStepId stringrequired

    Workflow Step to move to

  • ]

  • ]

Responses

200 OK

Response Headers

  • Access-Control-Allow-Origin

    string

  • Access-Control-Allow-Methods

    string

  • Access-Control-Allow-Headers

    string

Schema

    message string

    Result message

Loading...